using APT.Infrastructure.Core;
using System.ComponentModel;
using APT.Infrastructure.Utility;
namespace APT.BaseData.Domain.Entities.BD
{
    [Description("HMI资源表维护")]
    [Redis("", "ID", "CODE")]
    public partial class T_BD_HMI : MesEntityBase
    {
        [CUnique]
        [DataFieldLength(30)]
        [Description("编码")]
        [FormFieldTable]
        [FormFieldEdit]
        public string CODE { get; set; }

        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string NAME { get; set; }

        [Description("备注")]
        [DataFieldLength(300)]
        [FormFieldEdit]
        public string REMARK { get; set; }
    }
}
